# Uses of Interface
javafx.scene.control.Toggle

Packages that use Toggle
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of Toggle in javafx.scene.control

Classes in javafx.scene.control that implement Toggle
Modifier and Type
Class
Description
`class`
`RadioButton`
RadioButtons create a series of items where only one item can be selected.
`class`
`RadioMenuItem`
A RadioMenuItem is a `MenuItem` that can be toggled (it uses the `Toggle` mixin).
`class`
`ToggleButton`
A `ToggleButton` is a specialized control which has the ability to be selected.
Methods in javafx.scene.control that return Toggle
Modifier and Type
Method
Description
`final Toggle`
ToggleGroup.`getSelectedToggle()`
Gets the selected `Toggle`.
Methods in javafx.scene.control that return types with arguments of type Toggle
Modifier and Type
Method
Description
`final ObservableList<Toggle>`
ToggleGroup.`getToggles()`
The list of toggles within the ToggleGroup.
`final ReadOnlyObjectProperty<Toggle>`
ToggleGroup.`selectedToggleProperty()`
The selected toggle.
Methods in javafx.scene.control with parameters of type Toggle
Modifier and Type
Method
Description
`final void`
ToggleGroup.`selectToggle(Toggle value)`
Selects the toggle.